name: nearledaily
description: "Nearle Neighbourhood Living Platform"

publish_to: 'none'

version: 1.6.5+258

environment:
  sdk: ^3.8.1

dependencies:
  flutter:
    sdk: flutter

  cupertino_icons: ^1.0.8
  get: ^4.7.2
  dio: ^5.3.3
  expansion_tile_group: ^2.3.0
  convex_bottom_bar: ^3.2.0
  carousel_slider: ^5.1.1
  dotted_line: ^3.0.0
  mobile_scanner: ^7.1.0
  intro_slider: ^4.2.1
  fluttertoast: ^8.2.12
  logger: ^2.6.0
  shared_preferences: ^2.5.3
  photo_view: ^0.15.0
  readmore: ^3.0.0
  animated_text_kit: ^4.3.0
  flutter_contacts: ^1.1.9
  share_plus: ^10.0.2
  rounded_loading_button_plus: ^3.0.1
  sms_autofill: ^2.4.1
  otp_timer_button: ^1.1.1
  flutter_slidable: ^3.1.0
  location: ^8.0.1
  permission_handler: ^12.0.0+1
  geolocator: ^14.0.1
  geocoding: ^4.0.0
  device_info_plus: ^12.4.0
  connectivity_plus: ^7.0.0
  google_maps_flutter: ^2.4.0
  shimmer: ^3.0.0
  lottie: ^3.3.1
  flutter_cache_manager: ^3.4.1
  provider: ^6.1.5+1
  in_app_review: ^2.0.8
  url_launcher: ^6.3.1
  package_info_plus: ^4.0.0
  animated_introduction: ^1.0.4
  animations: ^2.1.1
  nested_scroll_view_plus: ^3.0.0
  google_fonts: ^6.3.2
  flutter_local_notifications: ^19.0.0
  image_picker: ^1.1.0
  webview_flutter: ^4.13.0
  webview_flutter_android: ^4.10.1
  http: ^1.1.0
  firebase_auth: ^5.6.0
  firebase_messaging: ^15.2.7
  firebase_core: ^3.14.0
  google_places_flutter: ^2.0.8
  minio: ^3.0.0
  in_app_update: ^4.2.3
  path_provider: ^2.1.1
  alp_animated_splashscreen: ^0.0.6
  flutter_screenutil: ^5.9.0
  tutorial_coach_mark: ^1.3.3
  new_version_plus: ^0.0.8
  timezone: ^0.10.1
  animated_button: ^0.3.1
  smooth_page_indicator: ^1.1.0
  flutter_floating_bottom_bar: ^1.3.0
  flutter_speed_dial: ^7.0.0
  sliver_tools: ^0.2.12
  razorpay_flutter: ^1.3.6





dev_dependencies:
  flutter_test:
    sdk: flutter

  flutter_lints: ^5.0.0
  flutter_launcher_icons: ^0.13.1

flutter_launcher_icons:
  android: true

  ios: true
  image_path: "assets/images/nearledaily.png"       # Your logo
  remove_alpha_ios: true
  adaptive_icon_background: "#00FFFFFF"
  adaptive_icon_foreground: null
  adaptive_icon_monochrome: null






flutter:

  uses-material-design: true
  assets:
    - assets/
    - assets/images/
    - assets/lotties/


fonts:
  - family: Proxima Nova
    fonts:
      - asset: assets/fonts/ProximaNova-Regular.ttf
        weight: 400  # Regular
      - asset: assets/fonts/ProximaNova-Bold.ttf
        weight: 700  # Bold